#!/bin/sh
echo Installing activtools...

# setup the necessary rights on the firmware update info directory
FWHISTORY="/var/Promethean/fwhistory"
groupadd activflash &> /dev/null
if [ ! -d "$FWHISTORY" ]; then
	mkdir -p $FWHISTORY &> /dev/null
	chgrp -R activflash $FWHISTORY &> /dev/null
	chmod g+w $FWHISTORY
fi
# update ld config for libactivboardex
LDCONFIG="`which ldconfig`"

if [ -n "$LDCONFIG" ]; then
	ldconfig -n /usr/local/lib

	# ALT-Linux: ld config does not always work!
	LIBACTIVBOARDEX="/usr/local/lib/libactivboardex.so.1"
	[ -e "$LIBACTIVBOARDEX" ] || ln -s $LIBACTIVBOARDEX".0" $LIBACTIVBOARDEX

	if [ -d "/usr/local/lib32" ]; then
		ldconfig -n /usr/local/lib32
		
		LIBACTIVBOARDEX="/usr/local/lib32/libactivboardex.so.1"
		[ -e "$LIBACTIVBOARDEX" ] || ln -s $LIBACTIVBOARDEX".0" $LIBACTIVBOARDEX
	fi
fi


# do not start activnotification, otherwise it would run as root.
exit 0
